package com.javapointers.controllers;

import com.javapointers.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Created by Jerry on 4/5/14.
 */
@Controller()
public class HomeController {

    @Autowired
    private UserService userService;

    @RequestMapping(value = "/home", method = RequestMethod.GET)
    public String viewHome() {
        return "home";
    }

    @RequestMapping(value = "/home/{username}/{password}", method = RequestMethod.GET)
    public String login(@PathVariable("username") String username,
                        @PathVariable("password") String password) {
        if (userService.login(username, password)) {
            return "success";
        }
        return "error";
    }
}
